#
# nginx.conf
#
{{ ansible_managed | comment }}
#
user {{ __glxclans_rproxy_nginx_user }};
worker_processes auto;
pid /run/nginx.pid;

include {{ __glxclans_rproxy_nginx_modular_conf_directory_modules_enabled }}/*.conf;

events {
        worker_connections 768;
        # multi_accept on;
}

http {
        ##
        # Basic Settings
        ##

        sendfile on;
        tcp_nopush on;
        tcp_nodelay on;
        keepalive_timeout 65;
        types_hash_max_size 2048;
        # server_tokens off;

        # server_names_hash_bucket_size 64;
        # server_name_in_redirect off;

        include /etc/nginx/mime.types;
        default_type application/octet-stream;

        ##
        # SSL Settings
        ##
        ssl_protocols TLSv1.2 TLSv1.3; # Dropping SSLv3, ref: POODLE
        ssl_prefer_server_ciphers on;
        ssl_ciphers 'EECDH+AESGCM:EDH+AESGCM:AES256+EECDH:AES256+EDH';
        ssl_ecdh_curve secp384r1;
        ssl_session_cache shared:SSL:5m;
        ssl_session_timeout 24h;
        ssl_session_tickets off;
        ssl_stapling on;
        ssl_stapling_verify on;

        ##
        # Logging Settings
        ##

        access_log /var/log/nginx/access.log;
        error_log /var/log/nginx/error.log;

        ##
        # Gzip Settings
        ##
        gzip on;

        # gzip_vary on;
        # gzip_proxied any;
        # gzip_comp_level 6;
        # gzip_buffers 16 8k;
        # gzip_http_version 1.1;
        # gzip_types text/plain text/css application/json application/javascript text/xml application/xml application/xml+rss text/javascript;

        ##
        # Virtual Host Configs
        ##
        include {{ __glxclans_rproxy_nginx_modular_conf_directory_http }}/*.conf;
        include {{ __glxclans_rproxy_nginx_modular_conf_directory_sites_enabled }}/*;
}

stream {
    include {{ __glxclans_rproxy_nginx_modular_conf_directory_streams_enabled }}/*.conf;
}

mail {
    include {{ __glxclans_rproxy_nginx_modular_conf_directory_mails_enabled }}/*.conf;
}
